---
title: "Fire a test webhook for a notification alert rule"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Notifications

`POST /api/notification-alerts/{id}/test`

## Authentication

- `ApiKeyAuth`, apiKey, in header, header `X-API-Key`, format `API_KEY`

## Path parameters

- `id` (`post/api/notification-alerts/id/test.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/notification-alerts/<id>/test' \
  --header 'X-API-Key: <X-API-Key>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/notification-alerts/<id>/test';
const options = {method: 'POST', headers: {'X-API-Key': '<X-API-Key>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/notification-alerts/<id>/test"

headers = {"X-API-Key": "<X-API-Key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

Test webhook fired

### 400

No webhook URL configured

### 404

Rule not found


Source: https://developer.channelautomations.com/api/post-api-notification-alerts-id-test/index.md
